#include once "window9.bi"

Function GetColumnWidthListView(ByVal gadget As long,ByVal IndexColumn As Long) As Integer Export
	dim sClass as USTRING = GetClassName_(GadgetID(gadget))
	If sClass = "ExplorerGadget" Then
		return SendMessage(GetProp(GadgetID(gadget),"EXPLORERGADGETLISTVIEWWINDOW"),4096+29,CInt(IndexColumn),0)
	else
		return SendMessage(GadgetID(gadget),4096+29,CInt(IndexColumn),0)
	End If
End Function
